import { AwsResource } from '../../cloudformation/resources/AwsResource';
/**
  Creates a trail that specifies the settings for delivery of log data to an Amazon S3 bucket.
  For full documentation go to <a href="http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-cloudtrail-trail.html">the AWS Docs</a>
*/
export function trail(trailProps) {
    return new AwsResource('AWS::CloudTrail::Trail', trailProps, { SnsTopicArn: 'SnsTopicArn', Arn: 'Arn' });
}
